<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

error_reporting(E_ALL);
error_reporting(-1);
ini_set('error_reporting', E_ALL);

require '../../modelo/odoo_inventario.php';
require '../../modelo/almacenes_odoo.php';
require '../../modelo/producto.php';
require '../../modelo/producto_variacion.php';

$response = array();
$productos = array();

if (!isset($_POST['productos'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$productos = json_decode($_POST['productos']);

foreach($productos as $key => $value) {
    $product_ids[] = intval($value);
}

$almacenes_odoo = AlmacenesOdoo::mdlGetIdAlmacenesOdoo();

$warehouse_ids = [];

foreach ($almacenes_odoo as $item) {
    $warehouse_ids[] = intval($item['id_odoo']);
}

$stocks = OdooInventario::getGlobalStock($product_ids, $warehouse_ids);

$response['response'] = 'success';
$response['data'] = $stocks;
echo json_encode($stocks);